## org.eclipse.datatools.modelbase.sql.datatypes
Interface CharacterStringDataType

All Superinterfaces:
  DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PredefinedDataType, SQLDataType, SQLObject

    public interface CharacterStringDataType

extends PredefinedDataType

A representation of the model object 'Character String Data Type'. Reference: 5WD-02-Foundation-2002-12 4.2 Character strings

The following features are supported:

- `Length`
- `Coercibility`
- `Fixed Length`
- `Collation Name`
- `Character Set`

See Also:
  `SQLDataTypesPackage.getCharacterStringDataType()`

Method Summary
`CharacterSet` `getCharacterSet()` Returns the value of the 'Character Set' reference.
`CoercibilityType` `getCoercibility()` Returns the value of the 'Coercibility' attribute.
`java.lang.String` `getCollationName()` Returns the value of the 'Collation Name' attribute.
`int` `getLength()` Returns the value of the 'Length' attribute.
`boolean` `isFixedLength()` Returns the value of the 'Fixed Length' attribute.
`void` `setCharacterSet(CharacterSet value)` Sets the value of the '`Character Set`' reference.
`void` `setCoercibility(CoercibilityType value)` Sets the value of the '`Coercibility`' attribute.
`void` `setCollationName(java.lang.String value)` Sets the value of the '`Collation Name`' attribute.
`void` `setLength(int value)` Sets the value of the '`Length`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLength

    int getLength()

  Returns the value of the 'Length' attribute. The default value is `"1"`.

  If the meaning of the 'Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Length' attribute.
  See Also:
    `setLength(int)`, `SQLDataTypesPackage.getCharacterStringDataType_Length()`

### setLength

    void setLength(int value)

  Sets the value of the '`Length`' attribute.

  Parameters:
    `value` - the new value of the 'Length' attribute.
  See Also:
    `getLength()`

### getCoercibility

    CoercibilityType getCoercibility()

  Returns the value of the 'Coercibility' attribute. The literals are from the enumeration `CoercibilityType`.

  If the meaning of the 'Coercibility' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Coercibility' attribute.
  See Also:
    `CoercibilityType`, `setCoercibility(CoercibilityType)`, `SQLDataTypesPackage.getCharacterStringDataType_Coercibility()`

### setCoercibility

    void setCoercibility(CoercibilityType value)

  Sets the value of the '`Coercibility`' attribute.

  Parameters:
    `value` - the new value of the 'Coercibility' attribute.
  See Also:
    `CoercibilityType`, `getCoercibility()`

### isFixedLength

    boolean isFixedLength()

  Returns the value of the 'Fixed Length' attribute.

  If the meaning of the 'Fixed Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fixed Length' attribute.
  See Also:
    `SQLDataTypesPackage.getCharacterStringDataType_FixedLength()`

### getCollationName

    java.lang.String getCollationName()

  Returns the value of the 'Collation Name' attribute.

  If the meaning of the 'Collation Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collation Name' attribute.
  See Also:
    `setCollationName(String)`, `SQLDataTypesPackage.getCharacterStringDataType_CollationName()`

### setCollationName

    void setCollationName(java.lang.String value)

  Sets the value of the '`Collation Name`' attribute.

  Parameters:
    `value` - the new value of the 'Collation Name' attribute.
  See Also:
    `getCollationName()`

### getCharacterSet

    CharacterSet getCharacterSet()

  Returns the value of the 'Character Set' reference. It is bidirectional and its opposite is '`Character String Data Type`'.

  If the meaning of the 'Character Set' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Character Set' reference.
  See Also:
    `setCharacterSet(CharacterSet)`, `SQLDataTypesPackage.getCharacterStringDataType_CharacterSet()`, `CharacterSet.getCharacterStringDataType()`

### setCharacterSet

    void setCharacterSet(CharacterSet value)

  Sets the value of the '`Character Set`' reference.

  Parameters:
    `value` - the new value of the 'Character Set' reference.
  See Also:
    `getCharacterSet()`